### Method

# FwupdPlugin Progress get_name

since: 1.8.2

#### Declaration [src]

    const gchar*
    fu_progress_get_name (
      FuProgress* self
    )

#### Description [src]

Return the nice name of the progress, which is normally set by the caller.

Available since: 1.8.2

#### Return value

Type: `const gchar*`

Progress nice name, e.g. `add-devices`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.